<form (ngSubmit)="onSubmit()" [formGroup]="formGroup" class="create-ych-container">
  <div class="p-grid center-container">
    <div class="p-col-12">
      <app-control-change-data [controlName]="'oldPassword'" [controlType]="'TEXT'"
                               [errorKeys]="['required', 'minlength', 'maxlength']"
                               [labelValue]="'Old password'" [parentForm]="formGroup">
      </app-control-change-data>
    </div>
    <div class="p-col-12">
      <app-control-change-data [controlName]="'newPassword'" [controlType]="'TEXT_PASSWORD'"
                               [errorKeys]="['required', 'minlength', 'maxlength']"
                               [labelValue]="'New password'" [parentForm]="formGroup">
      </app-control-change-data>
    </div>
    <div class="p-col-12">
      <app-control-change-data [controlName]="'repeatNewPassword'"
                               [controlType]="'TEXT_PASSWORD'"
                               [errorKeys]="['required', 'passwordIsNotEquals', 'minlength', 'maxlength']"
                               [labelValue]="'Repeat new password'" [parentForm]="formGroup">
      </app-control-change-data>
    </div>

  </div>

  <div class="p-d-flex p-jc-center">
    <div class="p-mr-2">
      <button label="Submit" pButton type="submit"></button>
    </div>
  </div>

</form>
